Debian Bug report logs - #641812
RFP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Georges Khaznadar <georgesk@ofset.org>

Date: Fri, 16 Sep 2011 12:42:56 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#641812; Package wnpp. (Fri, 16 Sep 2011 12:43:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georgesk@ofset.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 16 Sep 2011 12:43:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@ofset.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3
Date: Fri, 16 Sep 2011 14:33:49 +0200
Package: wnpp
Severity: wishlist
Owner: Georges Khaznadar <georgesk@ofset.org>


* Package name    : qt-solutions2009-gpl
  Version         : 1.0
  Upstream Author : Nokia Corporation and/or its subsidiary(-ies)
* URL             : ftp://ftp.heanet.ie/mirrors/ftp.trolltech.com/pub/qt/solutions/lgpl/*.tar.gz
* License         : GPL-3
  Programming Lang: C++, Qt framework
  Description     : free source code from Qt, available under GPL-3

 qt-solutions2009-gpl provides a set of code bundles, documentation, buildable
 examples to fulfill many subsidiary needs. The file README.Debian gives
 details about the fields which are covered. For example:
 - a browser plugin
 - a color combobox
 - a mathML renderer widget
 - ... and much more.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 16 Sep 2011 20:06:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#641812; Package wnpp. (Fri, 16 Sep 2011 22:48:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Fri, 16 Sep 2011 22:48:33 GMT) Full text and rfc822 format available.

Message #12 received at 641812@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: Georges Khaznadar <georgesk@ofset.org>, 641812@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#641812: ITP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3
Date: Sat, 17 Sep 2011 00:27:26 +0200
On Friday 16 September 2011 14:33:49 Georges Khaznadar wrote:
> * Package name    : qt-solutions2009-gpl

You are aware that qt solutions is dead upstream, and this is a 2 years old 
copy of it?

>   Version         : 1.0

Where does this version number come from?


>   Upstream Author : Nokia Corporation and/or its subsidiary(-ies)
> * URL             :
> ftp://ftp.heanet.ie/mirrors/ftp.trolltech.com/pub/qt/solutions/lgpl/*.tar.
> gz * License         : GPL-3

Is there any reason why you haven't instead chosen the BSD licensed newer 
editions from qt.gitorious.org? Or at least listed the alternative lgplv2.1 
license that it is also offered under?

>  qt-solutions2009-gpl provides a set of code bundles, documentation,
> buildable examples to fulfill many subsidiary needs. The file
> README.Debian gives details about the fields which are covered. For
> example:

Some of teh projects have already been merged in released editions of Qt and 
thus actually quite useless to be shipped here.

ANd beside all this, I'm questioning the general usefulness of providing this 
code as is.

Some of teh bits could be useful if they are actually properly packaged and 
maintained as libraries, but that's not what the package in NEW seems to be 
providing.

/Sune
-- 
I cannot digit from the application from the tools menu inside Photoshop 3000, 
how does it work?

First from the control folder within DOS you should upload from a device of 
the folder for reinstalling a RAM cache




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#641812; Package wnpp. (Fri, 16 Sep 2011 23:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Fri, 16 Sep 2011 23:48:13 GMT) Full text and rfc822 format available.

Message #17 received at 641812@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: Sune Vuorela <sune@debian.org>
Cc: 641812@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#641812: ITP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3
Date: Sat, 17 Sep 2011 01:45:41 +0200
[Message part 1 (text/plain, inline)]
Hello Sune,

Sune Vuorela a écrit :
> On Friday 16 September 2011 14:33:49 Georges Khaznadar wrote:
> > * Package name    : qt-solutions2009-gpl
> 
> You are aware that qt solutions is dead upstream, and this is a 2 years old 
> copy of it?

Yes I am aware of it. The reason why I try to push this zombie code into
Debian is that it is currently used within the software Sankore, which
is under active development. This software provides the first good
open-source solution for using interactive whitebords in educational
environments. See http://sankore.org/

An alternative would be to merge the relevant code into Sankore's main
source, and tagging this obsoleted code as a candidate to be replaced as
soon as possible. Is that solution better?


> >   Version         : 1.0
> 
> Where does this version number come from?

This version number is arbitrary. 2009.0 would be more appropriate?

> >   Upstream Author : Nokia Corporation and/or its subsidiary(-ies)
> > * URL             :
> > ftp://ftp.heanet.ie/mirrors/ftp.trolltech.com/pub/qt/solutions/lgpl/*.tar.
> > gz * License         : GPL-3
> 
> Is there any reason why you haven't instead chosen the BSD licensed newer 
> editions from qt.gitorious.org? Or at least listed the alternative lgplv2.1 
> license that it is also offered under?

Unfortunately some subpackages which are necessary in Sankore are no
more found in qt.gitorious.org, for example: qtsingleapplication. Maybe
I did not search at the good place in qt.gitorious.org?

> >  qt-solutions2009-gpl provides a set of code bundles, documentation,
> > buildable examples to fulfill many subsidiary needs. The file
> > README.Debian gives details about the fields which are covered. For
> > example:
> 
> Some of teh projects have already been merged in released editions of Qt and 
> thus actually quite useless to be shipped here.

PLease can you point me to a web page which gives a reliable list of
those projects? It would obviously make my package of zombies lighter.

> ANd beside all this, I'm questioning the general usefulness of providing this 
> code as is.
> 
> Some of teh bits could be useful if they are actually properly packaged and 
> maintained as libraries, but that's not what the package in NEW seems to be 
> providing.

If there is some mean to reduce the size of qt-solutions2009-gpl, it
would be a useful build-dependency for the future package sankore. If
not, what would you suggest?

Best regards,			Georges.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#641812; Package wnpp. (Fri, 16 Sep 2011 23:54:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Fri, 16 Sep 2011 23:54:35 GMT) Full text and rfc822 format available.

Message #22 received at 641812@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: Ansgar Burchardt <ftpmaster@debian.org>
Cc: 641812@bugs.debian.org
Subject: Re: Comments regarding qt-solutions2009-gpl_1.0-1_amd64.changes
Date: Sat, 17 Sep 2011 01:53:20 +0200
[Message part 1 (text/plain, inline)]
Ansgar Burchardt a écrit :
> Why are multiple versions of the same module included?
> 
> These look like libraries. Why is only the source included in the binary
> package?
> 
> Why the restriction to GPL-3 only?

I suppose that the main reply is out of my laziness:

- the automatic script to gather sources did not make a difference
  between successive versions of a module.
- this code was distributed mainly for inclusion in sources. The files
  INTALL.TXT of the modules give a few hints to build shared libraries,
  but notify that it is a little more complicated.
- if the source code is compiled into libraries, LGPL is a good license.
  However if you compile a program while including the source of a
  library, I do not imagine how a LGPL can apply.

Best regards,			Georges.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#641812; Package wnpp. (Sat, 17 Sep 2011 09:12:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to 641812@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Sat, 17 Sep 2011 09:12:26 GMT) Full text and rfc822 format available.

Message #27 received at 641812@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: debian-devel@lists.debian.org, 641812@bugs.debian.org
Subject: Re: Bug#641812: ITP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3
Date: Sat, 17 Sep 2011 11:07:49 +0200
[Message part 1 (text/plain, inline)]
On 11-09-17 at 01:45am, Georges Khaznadar wrote:
> Sune Vuorela a écrit :
> > On Friday 16 September 2011 14:33:49 Georges Khaznadar wrote:
> > >   Version : 1.0
> > 
> > Where does this version number come from?
> 
> This version number is arbitrary. 2009.0 would be more appropriate?

As invented-for-distribution version number, I would suggest 0~2009.

That leaves room for the (possible highly theoretical) possibility of 
someone bringing the code back to life and doing proper upstream 
releases of it - no matter what (sane) version they choose.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#641812; Package wnpp. (Sat, 17 Sep 2011 09:12:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Sat, 17 Sep 2011 09:12:55 GMT) Full text and rfc822 format available.

Message #32 received at 641812@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: Georges Khaznadar <georges.khaznadar@free.fr>
Cc: 641812@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#641812: ITP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3
Date: Sat, 17 Sep 2011 11:12:09 +0200
On Saturday 17 September 2011 01:45:41 you wrote:
> An alternative would be to merge the relevant code into Sankore's main
> source, and tagging this obsoleted code as a candidate to be replaced as
> soon as possible. Is that solution better?

Given that the QtSolution code is more example code than library code, I think 
that this is a better solution, yes, and it is also my recommendation to other 
users of QtSolution code.
 
> > >   Version         : 1.0
> > 
> > Where does this version number come from?
> 
> This version number is arbitrary. 2009.0 would be more appropriate?

Yes. Such a version number would be better.


> > >   Upstream Author : Nokia Corporation and/or its subsidiary(-ies)
> > > 
> > > * URL             :
> > > ftp://ftp.heanet.ie/mirrors/ftp.trolltech.com/pub/qt/solutions/lgpl/*.t
> > > ar. gz * License         : GPL-3
> > 
> > Is there any reason why you haven't instead chosen the BSD licensed newer
> > editions from qt.gitorious.org? Or at least listed the alternative
> > lgplv2.1 license that it is also offered under?
> 
> Unfortunately some subpackages which are necessary in Sankore are no
> more found in qt.gitorious.org, for example: qtsingleapplication. Maybe
> I did not search at the good place in qt.gitorious.org?

http://qt.gitorious.org/qt-solutions/qt-solutions/trees/master

> If there is some mean to reduce the size of qt-solutions2009-gpl, it
> would be a useful build-dependency for the future package sankore. If
> not, what would you suggest?

My first suggestion for making qt-solutions actually usable as a package would 
be to not provide it as GPLv3 only.
My next suggestion would be to convert the bits that aren't in Qt proper into 
proper libraries and use them and package them as such.
The things that might be reasonable as actual libraries would be
 - qtsoap (even though it is a quite bad soap implementation)
 - qtsingleapplication
 - qtcolor*
 - qtpiemenu
 - qtmmlwidget
 - qtiocompressor
 - qtservice
 - qtlockedfile

But it requires work to get these to a standard where they are worth using as 
libraries.

The following is in Qt:
 - qtstatemachine
 - qtanimationframework  


/Sune
-- 
Do you know how may I log from a MIDI periferic?

You should explore with a file on the fan to turn off the cable over the 
controller.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#641812; Package wnpp. (Mon, 27 May 2013 13:40:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Georges Khaznadar <georgesk@ofset.org>. (Mon, 27 May 2013 13:40:31 GMT) Full text and rfc822 format available.

Message #37 received at 641812@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 641812@bugs.debian.org
Cc: control@bugs.debian.org
Subject: qt-solutions2009-gpl: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:15 +0200
retitle 641812 RFP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3
noowner 641812
tag 641812 - pending
thanks

Hi,

This is an automatic email to change the status of qt-solutions2009-gpl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting qt-solutions2009-gpl, please send a mail to
<control@bugs.debian.org> with:

 retitle 641812 ITP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3
 owner 641812 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <641812@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3' from 'ITP: qt-solutions2009-gpl -- free source code from Qt, available under GPL-3' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:01:40 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Georges Khaznadar <georgesk@ofset.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:01:41 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:01:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:32:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.